//---------------------------------------------------------------------------

#include <vcl.h>
#include <iostream>
#include <map>
#include <conio.h> //  getch()
#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;
std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

int main(int argc, char* argv[])
{
  //  
  typedef multimap <int,string> IntStringMMap;

  IntStringMMap coll; //     int/string
  //     
  // -    1  .
  coll.insert(make_pair(5,""));
  coll.insert(make_pair(2,""));
  coll.insert(make_pair(1,""));
  coll.insert(make_pair(4,""));
  coll.insert(make_pair(6, ""));
  coll.insert(make_pair(1," "));
  coll.insert(make_pair(3,""));

  //   
  // -   
  // -  second  .
  IntStringMMap::iterator pos;
  cout << ToRus(":\n");
  for (pos=coll.begin(); pos != coll.end(); ++pos) { 
    cout << ToRus(pos->second) << ' ';
  }
  cout << endl;

  getch();
  return 0;
}
//---------------------------------------------------------------------------
